JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Namespaces | Enumerations | Functions
juce_CIPropertyExchangeCache.h File Reference

## Classes
class | juce::midi_ci::RequestID
| A strongly-typed identifier for a 7-bit request ID with a nullable state. More...
class | juce::midi_ci::InitiatorPropertyExchangeCache
| Accumulates message chunks that have been sent by another device in response to a transaction initiated by a local device. More...
class | juce::midi_ci::ResponderPropertyExchangeCache
| Accumulates message chunks that form a request initiated by a remote device. More...
class | juce::midi_ci::CacheProvider
| An interface for objects that provide resources for property exchange transactions. More...

## Namespaces
namespace | juce
namespace | juce::midi_ci

## Enumerations
enum class | juce::midi_ci::Token64 : uint64_t
| A strongly-typed 64-bit identifier. More...

## Functions
constexpr bool | juce::midi_ci::operator< (Token64 a, Token64 b)
| Compares Token64 instances.